Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.repository
Class RepositoryManager

`java.lang.Object
oracle.rules.sdk.repository.RepositoryManager`

public final class RepositoryManager
extends java.lang.Object

To access list of repository types, and get instance of a repository type.

Constructor Summary
`RepositoryManager()`

Method Summary
`static RuleRepository` | `createRuleRepositoryInstance(RepositoryType repoType)` Create an un-initialized repository instance of the given type
`static RuleRepository` | `getJarRepository(java.lang.String jarPath)` A convenient API to get a Jar type Repository
`static RepositoryType` | `getRegisteredRepositoryType(java.lang.String repoTypeKey)` Get a RepositoryType by its key name
`static java.util.List` | `getRegisteredRepositoryTypes()` Returns a List of known repository types.
`static XMLSerializer` | `getXMLSerializer()` Create an instance of XMLSerializer

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryManager

    public RepositoryManager()

Method Detail

### getRegisteredRepositoryTypes

    public static java.util.List getRegisteredRepositoryTypes()

  Returns a List of known repository types. The list includes WebDav by default.
  Returns:
    a List of registered repository types. The object in the list is an instance of `RepositoryType`

### getRegisteredRepositoryType

    public static RepositoryType getRegisteredRepositoryType(java.lang.String repoTypeKey)

  Get a RepositoryType by its key name
  Parameters:
    `repoTypeKey` - key of the repository type
  Returns:
    a RepositoryType object with the given key name. If no repository type matches the key, return null.

### createRuleRepositoryInstance

    public static RuleRepository createRuleRepositoryInstance(RepositoryType repoType)
                                                       throws RepositoryException

  Create an un-initialized repository instance of the given type
  Parameters:
    `repoType` - the type of the repository instance
  Returns:
    an un-initialized RuleRepository object
  Throws:
    `an` - exception occured when creating the repository instance
    `RepositoryException`

### getXMLSerializer

    public static XMLSerializer getXMLSerializer()

  Create an instance of XMLSerializer
  Returns:
    an instance of XMLSerializer

### getJarRepository

    public static RuleRepository getJarRepository(java.lang.String jarPath)
                                           throws RepositoryException

  A convenient API to get a Jar type Repository
  Parameters:
    `jarPath` - a path leading to a jar file which holds the repository content. It does not have to physically exists initially, but its containing directory has to be there and writable. If the path does not exits, an empty jar file with the given path name will be created.
  Returns:
    an instance of jar-type RuleRepository object
  Throws:
    `an` - exception occured when creating the jar-type repository instance
    `RepositoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.